Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Server_Hello_Done Class Referencefinal

`#include <tls_messages.h>`

Inheritance diagram for Botan::TLS::Server_Hello_Done:

## Public Member Functions
| Server_Hello_Done (Handshake_IO &io, Handshake_Hash &hash)
| Server_Hello_Done (const std::vector< uint8_t > &buf)
Handshake_Type | type () const override
std::string | type_string () const

## Detailed Description

Server Hello Done Message

Definition at line 649 of file tls_messages.h.

## Constructor & Destructor Documentation

Botan::TLS::Server_Hello_Done::Server_Hello_Done | ( | Handshake_IO & | io,
|  | Handshake_Hash & | hash
| ) |  |

Definition at line 192 of file msg_server_hello.cpp.

References Botan::TLS::Handshake_IO::send(), and Botan::TLS::Handshake_Hash::update().

194 {
195 hash.update(io.send(*this));
196 }
hash
MechanismType hash
Definition: p11_mechanism.cpp:63

Botan::TLS::Server_Hello_Done::Server_Hello_Done | ( | const std::vector< uint8_t > & | buf | ) |
| explicit

Definition at line 201 of file msg_server_hello.cpp.

202 {
203 if(buf.size())
204 throw Decoding_Error("Server_Hello_Done: Must be empty, and is not");
205 }

## Member Function Documentation

Handshake_Type Botan::TLS::Server_Hello_Done::type | ( |  | ) | const
| inline override virtual

Returns
  the message type

Implements Botan::TLS::Handshake_Message.

Definition at line 652 of file tls_messages.h.

References Botan::TLS::SERVER_HELLO_DONE.

652 { return SERVER_HELLO_DONE; }
Botan::TLS::SERVER_HELLO_DONE
Definition: tls_magic.h:47

std::string Botan::TLS::Handshake_Message::type_string | ( |  | ) | const
| inherited

Returns
  string representation of this message type

Definition at line 17 of file tls_handshake_state.cpp.

References Botan::TLS::handshake_type_to_string(), and Botan::TLS::Handshake_Message::type().

18 {
19 return handshake_type_to_string(type());
20 }
Botan::TLS::Handshake_Message::type
virtual Handshake_Type type() const =0
Botan::TLS::handshake_type_to_string
const char * handshake_type_to_string(Handshake_Type type)
Definition: tls_handshake_state.cpp:22

The documentation for this class was generated from the following files:

- src/lib/tls/tls_messages.h
- src/lib/tls/msg_server_hello.cpp